import $req from '../request'

/**
 * 家长端-电子保修卡信息
 * @param data 请求参数
 */
export const getWarrantyCardMsgApi = () =>
  $req({
    method: 'get',
    url: '/parentBind/getBindDeviceList',
  })
/**
 * 家长端-申请售后
 * @param data 请求参数
 */
export const applyServiceApi = (data: any) =>
  $req({
    method: 'post',
    url: '/deviceWarrantyRecord',
    data,
  })
/**
 * 家长端-查询售后历史
 * @param data 请求参数
 */
export const getServiceHistoryApi = (params: any) =>
  $req({
    method: 'get',
    url: '/deviceWarrantyRecord/list',
    params,
  })
